1. One Click Charges
Español
  • Español
  • English
  • Bienvenidos
  • Online Payments
    • Card
      • Card Payments
      • Request a card token
      • Make a charge or deferred charge
      • Void a transaction
      • Request deferred options
      • Validate OTP
      • Refund a transaction
      • Bin Info
      • Bin Info V2
    • Cash in
      • Overview
    • Chargebacks
      • Overview
      • Query chargebacks
      • Request chargeback export
    • Smartlinks
      • Overview
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Delete a Smartlink
      • Update a Smartlink
      • Create a Smartlink
    • Payment Button
      • Overview
      • Create a payment button
    • Payment Credentials
      • Overview
      • Regenerate a credential
      • Activate or deactivate
      • Update credential
      • Search credentials
      • Delete credential
      • Create a credential
      • Advanced search
    • Gateway Status
      • Overview
      • Get gateway status
    • Analytics
      • Overview
      • Get transactions list v2
      • Get transactions list v1
    • Commissions
      • Commissions
      • Get Commission Configuration
    • One Click Charges
      • Request a recurring charge token
        POST
      • Create a recurring charge
        POST
      • Make an One-click payment
        POST
      • Cancel a recurring charge
        DELETE
      • Add a temporary charge or discount
        PUT
      • Get recurring charge Info
        GET
      • Update a recurring charge
        PATCH
      • Update recurring charge card data
        PUT
    • Transfer in
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
  • Transfer In
  • Schemas
    • threeDomainSecure
    • webhooks
    • currency
    • binInfo
    • SubscriptionUpdate
    • headers
    • SubscriptionAdjustmentRequest
    • Subscription
    • Metadata
    • Language
    • Deferred
    • ContactDetails
    • Amount
    • extraTaxes
    • documentType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. One Click Charges

Make an One-click payment

POST
/subscriptions/v1/card/{subscriptionId}
Make an One-click payment on an existing recurring charge identified by its subscriptionId that was created in the Create a recurring charge endpoint.
Got a suggestion on this documentation? Contact Us.

Do you have your own 3DS authentication engine?#

Product in beta version in Ecuador 🇪🇨 🔐👨‍💻
We are working on our beta version. Stay tuned for its official release! You can also contact your account manager for more information.
Make sure you include the threeDomainSecure object in your request.

Deferred charges in Ecuador 🇪🇨#

If you perform a deferred charge with credentials of an Ecuadorian merchant, you have to set the deferred object that has the creditType, graceMonths and months.

How to obtain the available deferred options?#

As soon as your customer's card number is entered, you must use the method Request deferred options to verify if there are deferred payment options for the BIN of the card entered by the user.

In response to this call, you will receive the name of the deferral, the type (corresponds to the creditType when executing the charge), the available months and the months of grace, as shown in the following example response.
  {
      name: "Diferido con intereses",
      type: "002",
      months: ["3", "6"],
      monthsOfGrace: ["1", "2", "3"]
    }
Some types of deferrals that may be returned in the response are:
Diferido con meses de gracia sin intereses.
Diferido con meses de gracia con intereses.
Diferido cuota fija con intereses.
Diferido cuota fija sin intereses.
Diferido con intereses.
Diferido sin intereses.
:::warning Important!
In any case, you should consult the request deferred options method as these vary according to the BIN of the card.
:::

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-uat.kushkipagos.com/subscriptions/v1/card/' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "language": "es",
    "amount": {
        "subtotalIva": 15.16,
        "subtotalIva0": 0,
        "ice": 0,
        "iva": 1.82,
        "currency": "USD"
    },
    "metadata": {
        "customerId": "123"
    },
    "contactDetails": {
        "documentType": "CI",
        "documentNumber": "1716458334",
        "email": "user@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "phoneNumber": "+593912345678"
    },
    "orderDetails": {
        "siteDomain": "tuebook.com",
        "shippingDetails": {
            "name": "John Doe",
            "phone": "+593912345678",
            "address": "Eloy Alfaro 139 y Catalina Aldaz",
            "city": "Quito",
            "region": "Pichincha",
            "country": "Ecuador",
            "zipCode": "170402"
        },
        "billingDetails": {
            "name": "John Doe",
            "phone": "+593912345678",
            "address": "Eloy Alfaro 139 y Catalina Aldaz",
            "city": "Quito",
            "region": "Pichincha",
            "country": "Ecuador",
            "zipCode": "170402"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 6990000,
                "sku": "10101042",
                "quantity": 1
            },
            {
                "id": "198953AB",
                "title": "eBook Virtual Selling",
                "price": 9990000,
                "sku": "004834GQ",
                "quantity": 1
            }
        ]
    },
    "fullResponse": "v2"
}'
Response Response Example
201 - One-click payment
{
    "ticketNumber": "124824724666494118",
    "transactionReference": "c897bafb-c78c-4cde-aa89-d44dd9b26ef7"
}
Modified at 2026-04-20 17:58:26
Previous
Create a recurring charge
Next
Cancel a recurring charge
Built with